> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reward

> Retrieve a reward by the reward ID.



## OpenAPI

````yaml /openapi/rewards.json get /v1/rewards/{rewardId}
openapi: 3.0.1
info:
  title: Voucherify API - Rewards
  version: v2018-08-01
  description: >-
    Voucherify promotion engine REST API. Please see
    https://docs.voucherify.io/docs for more details.
  contact:
    name: Voucherify Team
    url: https://www.voucherify.io/contact-support
    email: support@voucherify.io
  termsOfService: https://www.voucherify.io/legal/subscription-agreement
  license:
    name: MIT
    url: https://github.com/voucherifyio/voucherify-js-sdk/blob/main/LICENSE
servers:
  - url: https://{cluster}.voucherify.io
    description: Base URL
    variables:
      cluster:
        default: api
        enum:
          - api
          - us1.api
          - as1.api
          - download
          - us1.download
          - as1.download
security: []
paths:
  /v1/rewards/{rewardId}:
    parameters:
      - schema:
          $ref: '#/components/schemas/ParameterRewardId'
        name: rewardId
        in: path
        required: true
        description: A unique reward ID.
    get:
      tags:
        - Rewards
      summary: Get Reward
      description: Retrieve a reward by the reward ID.
      operationId: get-reward
      parameters: []
      responses:
        '200':
          description: 'Returns a reward object if a valid identifier was provided. '
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Reward'
        '404':
          description: >-
            Not Found. When requesting a reward that has been deleted or does
            not exist, the resource will not be returned.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Not found:
                  value:
                    code: 404
                    key: not_found
                    message: Resource not found
                    details: Cannot find reward with id rew_C7wS9eHFDN4CIbXI5PpLSkG
                    request_id: v-0b8c77bcc890215e35
                    resource_id: rew_C7wS9eHFDN4CIbXI5PpLSkG
                    resource_type: reward
      security:
        - X-App-Id: []
          X-App-Token: []
        - X-Voucherify-OAuth:
            - api
            - rewards
components:
  schemas:
    ParameterRewardId:
      type: string
      example: rew_2erjvECLs92GYzKbak3QkyTV
    Reward:
      type: object
      title: Reward
      properties:
        id:
          type: string
          example: rew_nIy4gHpQHle2c3pNMwuj7G6j
          description: Unique reward ID, assigned by Voucherify.
        name:
          type: string
          description: Reward name.
        stock:
          type: integer
          nullable: true
          description: >-
            Configurable for **material rewards**. The number of units of the
            product that you want to share as a reward. Use this parameter to
            code a stock-taking logic.
        redeemed:
          type: integer
          nullable: true
          description: "Defines the number of already invoked (successful) reward redemptions.\t"
        attributes:
          type: object
          description: These properties are configurable for **material rewards**.
          properties:
            image_url:
              type: string
              description: The HTTPS URL pointing to the .png or .jpg file.
            description:
              type: string
              description: An arbitrary string that you can attach to a material reward.
        metadata:
          type: object
          description: >-
            The metadata object stores all custom attributes assigned to the
            reward. A set of key/value pairs that you can attach to a reward
            object. It can be useful for storing additional information about
            the reward in a structured format.
        type:
          type: string
          enum:
            - CAMPAIGN
            - COIN
            - MATERIAL
          description: Reward type.
        parameters:
          description: Defines how the reward is generated.
          allOf:
            - $ref: '#/components/schemas/RewardType'
        created_at:
          type: string
          description: >-
            Timestamp representing the date and time when the reward was
            created. The value is shown in the ISO 8601 format.
          example: '2022-08-11T14:49:22.586Z'
          format: date-time
        updated_at:
          type: string
          nullable: true
          description: >-
            Timestamp representing the date and time when the reward was
            updated. The value is shown in the ISO 8601 format.
          example: '2022-08-11T16:01:34.885Z'
          format: date-time
        object:
          description: >-
            The type of the object represented by the JSON. This object stores
            information about the reward.
          default: reward
          enum:
            - reward
      required:
        - id
        - name
        - type
        - stock
        - redeemed
        - metadata
        - created_at
        - updated_at
        - object
    Error:
      title: Error Object
      type: object
      description: Error details
      properties:
        code:
          type: integer
          description: Error's HTTP status code.
        key:
          type: string
          description: Short string describing the kind of error which occurred.
        message:
          type: string
          description: A human-readable message providing a short description of the error.
        details:
          type: string
          description: A human-readable message providing more details about the error.
        request_id:
          type: string
          example: v-0a885062c80375740f
          description: >-
            This ID is useful when troubleshooting and/or finding the root cause
            of an error response by our support team.
        resource_id:
          type: string
          description: >-
            Unique resource ID that can be used in another endpoint to get more
            details.
          example: rf_0c5d710a87c8a31f86
        resource_type:
          type: string
          description: The resource type.
          example: voucher
        error:
          type: object
          description: Includes additional information about the error.
          properties:
            message:
              type: string
              description: The message configured by the user in a validation rule.
      required:
        - code
        - message
    RewardType:
      title: Reward type
      oneOf:
        - $ref: '#/components/schemas/RewardTypeCampaign'
        - $ref: '#/components/schemas/RewardTypeCoin'
        - $ref: '#/components/schemas/RewardTypeMaterial'
    RewardTypeCampaign:
      title: Digital
      type: object
      properties:
        campaign:
          type: object
          required:
            - id
            - type
          description: Objects stores information about the campaign related to the reward.
          properties:
            id:
              type: string
              description: Unique campaign ID, assigned by Voucherify.
            balance:
              type: integer
              description: >-
                The number of points to be added to a loyalty card or the amount
                to be added to the current balance on the gift card.


                For gift cards, the value is multiplied by 100 to precisely
                represent 2 decimal places. For example, $100 amount is written
                as 10000.
            type:
              type: string
              enum:
                - DISCOUNT_COUPONS
                - GIFT_VOUCHERS
                - LOYALTY_PROGRAM
              description: Campaign type.
      required:
        - campaign
    RewardTypeCoin:
      title: Pay with Points
      type: object
      properties:
        coin:
          type: object
          required:
            - exchange_ratio
          description: >-
            Defines the ratio by mapping the number of loyalty points in
            points_ratio to a predefined cash amount in exchange_ratio.
          properties:
            exchange_ratio:
              type: number
              description: >-
                The cash equivalent of the points defined in the points_ratio
                property.
            points_ratio:
              type: integer
              description: >-
                The number of loyalty points that will map to the predefined
                cash amount defined by the exchange_ratio property.
      required:
        - coin
    RewardTypeMaterial:
      title: Material
      type: object
      properties:
        product:
          type: object
          required:
            - id
          description: Contains information about the product given as a reward.
          properties:
            id:
              type: string
              example: prod_0b7d7dfb05cbe5c616
              description: Unique product ID, assigned by Voucherify.
            sku_id:
              type: string
              nullable: true
              description: >-
                Unique SKU ID, assigned by Voucherify, of the SKU given as a
                reward.
              example: sku_0b7d7dfb090be5c619
      required:
        - product
  securitySchemes:
    X-App-Id:
      type: apiKey
      name: X-App-Id
      in: header
    X-App-Token:
      type: apiKey
      name: X-App-Token
      in: header
    X-Voucherify-OAuth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://api.voucherify.io/v1/oauth/token
          scopes:
            api: Gives access to whole server-side API.
            vouchers: >-
              Gives access to all endpoints and methods starting with
              `v1/vouchers`.
            client_api: Gives access to whole client-side API.
            client_vouchers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/vouchers`.
            promotions: >-
              Gives access to all endpoints and methods starting with
              `/v1/promotions`.
            client_promotions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/promotions`
            campaigns: >-
              Gives access to all endpoints and methods starting with
              `v1/campaigns`.
            client_publish: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/publish`.
            exports: >-
              Gives access to all endpoints and methods starting with
              `/v1/exports`.
            publications: >-
              Gives access to all endpoints and methods starting with
              `/v1/publications`.
            client_validate: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validate`.
            validations: >-
              Gives access to all endpoints and methods starting with
              `/v1/validations`.
            client_validations: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validations`.
            qualifications: >-
              Gives access to all endpoints and methods starting with
              `/v1/qualifications`.
            client_qualifications: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/qualifications`.
            client_redeem: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redeem
            redemptions: >-
              Gives access to all endpoints and methods starting with
              `/v1/redemptions`.
            client_redemptions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redemptions`
            customers: >-
              Gives access to all endpoints and methods starting with
              `/v1/customers`.
            client_customers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/customers`.
            orders: >-
              Gives access to all endpoints and methods starting with
              `/v1/orders`.
            products: >-
              Gives access to all endpoints and methods starting with
              `/v1/products`.
            skus: >-
              Gives access to all endpoints and methods starting with
              `/v1/SKUs`.
            validation-rules: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules`.
            validation-rules-assignments: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules-assignments
            segments: >-
              Gives access to all endpoints and methods starting with
              `/v1/segments`.
            events: >-
              Gives access to all endpoints and methods starting with
              `/v1/events`.
            client_events: >-
              Gives access to all endpoints and methods starting with
              `client/v1/events`.
            rewards: >-
              Gives access to all endpoints and methods starting with
              `/v1/rewards`.
            assets: >-
              Gives access to all endpoints and methods starting with
              `/v1/assets`.
            task-results: >-
              Gives access to all endpoints and methods starting with
              `/v1/task-results`.
            loyalties: >-
              Gives access to all endpoints and methods starting with
              `/v1/loyalties`.
            client_consents: >-
              Gives access to all endpoints and methods starting with
              `client/v1/consents`.
            consents: >-
              Gives access to all endpoints and methods starting with
              `/v1/consents`.
            async-actions: >-
              Gives access to all endpoints and methods starting with
              `/v1/async-actions`.
            product-collections: >-
              Gives access to all endpoints and methods starting with
              `/v1/product-collections`.
            categories: >-
              Gives access to all endpoints and methods starting with
              `/v1/categories`.
            metadata-schemas: >-
              Gives access to all endpoints and methods starting with
              `/v1/metadata-schemas`.
            locations: >-
              Gives access to all endpoints and methods starting with
              `/v1/locations`.
            referrals: >-
              Gives access to all endpoints and methods starting with
              `/v1/referrals`.
            trash-bin: >-
              Gives access to all endpoints and methods starting with
              `/v1/trash-bin`.
            templates: >-
              Gives access to all endpoints and methods starting with
              `/v1/templates`.

````